# $Revision: 1.14 $, $Date: 2003/11/30 21:55:49 $
#
# Conditional build:
# _without_dist_kernel		without distribution kernel
#
%define		_orig_name	fast800
%define		_update_usb /sbin/update-usb.usermap
Summary:	Linux driver for the Eagle 8051 Analog (sagem f@st 800...) modems
Summary(pl):	Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st 800...)
Name:		eagle-usb
Version:	1.0.4
%define	_rel	7
Release:	%{_rel}
License:	GPL
Group:		Base/Kernel
Source0:	http://fast800.tuxfamily.org/pub/IMG/gz/eagle-%{version}.tar.gz
# Source0-md5:	fc52cf1eff6ab9f20e9c2cb3e7e2f1e8
Patch0:		eagle-Makefile.patch
Patch1:		eagle-firmware.patch
URL:		http://fast800.tuxfamily.org/
%{!?_without_dist_kernel:BuildRequires:	kernel-headers }
BuildRequires:	%{kgcc_package}
BuildRequires:	rpmbuild(macros) >= 1.118
Requires(post,postun):	/sbin/depmod
Requires:	ppp >= 2.4.1
%{!?_without_dist_kernel:Requires:	kernel-usb-%{_orig_name} = %{version}-%{_rel}@%{_kernel_ver_str}}
Obsoletes:	eagle-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Linux driver for the Eagle 8051 Analog (sagem f@st 800...) modems.

%description -l pl
Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st
800...).

%package -n kernel-usb-%{_orig_name}
Summary:	Linux driver for the Eagle 8051 Analog (sagem f@st 800...) modems
Summary(pl):	Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st 800...)
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod

%description -n kernel-usb-%{_orig_name}
Linux driver for the Eagle 8051 Analog (sagem f@st 800...) modems.

%description -n kernel-usb-%{_orig_name} -l pl
Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st
800...).

%package -n kernel-smp-usb-%{_orig_name}
Summary:	Linux SMP driver for the Eagle 8051 Analog (sagem f@st 800...) modems
Summary(pl):	Sterownik dla Linuksa SMP do modemw Eagle 8051 Analog (sagem f@st 800...)
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
%{!?_without_dist_kernel:Provides:	kernel-usb-%{_orig_name}}
Requires(post,postun):	/sbin/depmod

%description -n kernel-smp-usb-%{_orig_name}
Linux SMP driver for the Eagle 8051 Analog (sagem f@st 800...) modems.

%description -n kernel-smp-usb-%{_orig_name} -l pl
Sterownik dla Linuksa SMP do modemw Eagle 8051 Analog (sagem f@st
800...).

%prep
%setup -q -n eagle-%{version}
%patch0 -p1
%patch1 -p1

%build
install -d kernel-{up,smp}

# UP
%{__make} clean
%{__make} -C driver \
	CC=%{__cc} \
%ifarch %{ix86} 
	OPT="-I/usr/src/linux/include/asm-i386/mach-default" \
%endif
	KERNELSRC="%{_kernelsrcdir}"
install driver/adiusbadsl.o kernel-up

# SMP
CONFIG_SMP=y; export CONFIG_SMP
%{__make} -C driver clean
%{__make} -C driver \
	CC=%{__cc} \
%ifarch %{ix86} 
	OPT="-I/usr/src/linux/include/asm-i386/mach-default -DSMP -D__SMP__" \
%else
	OPT="-D__SMP__ -DSMP" \
%endif
	KERNELSRC="%{_kernelsrcdir}"
install driver/adiusbadsl.o kernel-smp/

# Rest
%{__make} \
	KERNELSRC="%{_kernelsrcdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/usb
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/usb
install -d $RPM_BUILD_ROOT/etc/{analog,hotplug,ppp}
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir}/hotplug/eagle}

install kernel-up/*.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/usb
install kernel-smp/*.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/usb

install scripts/hotplug/usb.usermap $RPM_BUILD_ROOT%{_libdir}/hotplug/eagle

%{__make} -C driver/firmware install \
	CONFIGDIR=$RPM_BUILD_ROOT/etc/analog \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C driver/user install \
	INSTALLDIR=%{_sbindir} \
	CONFIGDIR=/etc/analog \
	DESTDIR=$RPM_BUILD_ROOT
install pppoa/pppoa $RPM_BUILD_ROOT%{_sbindir}
echo 'n


n
n
' | %{__make} -C scripts install \
	INSTALLDIR=%{_sbindir} \
	CONFIGDIR=/etc/analog \
	HOTPLUGDIR=/etc/hotplug \
	PPPDIR=/etc/ppp \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_update_usb} ]; then
	/sbin/update-usb.usermap
fi

%postun
if [ -x %{_update_usb} ]; then
	/sbin/update-usb.usermap
fi

%post -n kernel-usb-%{_orig_name}
%depmod %{_kernel_ver}
if [ -x %{_update_usb} ]; then
	/sbin/update-usb.usermap
fi

%postun -n kernel-usb-%{_orig_name}
%depmod %{_kernel_ver}
if [ -x %{_update_usb} ]; then
	/sbin/update-usb.usermap
fi

%post	-n kernel-smp-usb-%{_orig_name}
%depmod %{_kernel_ver}smp
if [ -x %{_update_usb} ]; then
	/sbin/update-usb.usermap
fi

%postun -n kernel-smp-usb-%{_orig_name}
%depmod %{_kernel_ver}smp
if [ -x %{_update_usb} ]; then
	/sbin/update-usb.usermap
fi

%files
%defattr(644,root,root,755)
%doc BUGS Changelog FAQ TODO readme.txt
%dir %{_sysconfdir}/analog
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/analog/adiusbadsl.conf
%{_sysconfdir}/analog/CMV*
%attr(755,root,root) %{_sysconfdir}/hotplug/usb/*
%{_libdir}/hotplug/eagle
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/ppp/*.adsl
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/misc/*.bin

%files -n kernel-usb-%{_orig_name}
%defattr(644,root,root,755)
%doc readme.txt
/lib/modules/%{_kernel_ver}/kernel/drivers/usb/*

%files -n kernel-smp-usb-%{_orig_name}
%defattr(644,root,root,755)
%doc readme.txt
/lib/modules/%{_kernel_ver}smp/kernel/drivers/usb/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eagle-usb.spec,v $
Revision 1.14  2003/11/30 21:55:49  qboosh
- Name changed to eagle-usb after spec rename

Revision 1.13  2003/11/15 15:07:01  krzak
- fixed %post

Revision 1.12  2003/11/15 11:35:15  krzak
- forgot for the rest subpackages

Revision 1.11  2003/11/15 11:32:11  krzak
- remove Requires(post,postun): /sbin/update-usb.usermap

Revision 1.10  2003/11/15 00:21:47  krzak
- do not really _need_ hotplug

Revision 1.9  2003/11/02 21:21:20  krzak
- rel. 6
- if build with dist_kernel
  - R: kernel-usb-fast800
  - kernel-smp-usb-fast800 Provides : kernel-usb-fast800

Revision 1.8  2003/10/20 12:48:40  cieciwa
- prepare to 2.6 building

Revision 1.7  2003/10/07 09:22:46  arekm
- renamed package from eagle to eagle-utils to avoid conflict with PCB software (so DO NOT add any obsoletes here)

Revision 1.6  2003/10/06 19:08:39  twittner
- reverted last change: removed initscript. This function should be
  provided by rc-scripts (pointed by Arkadiusz Mikiewicz)

Revision 1.5  2003/10/05 23:25:10  twittner
- added initscript

Revision 1.4  2003/09/26 22:51:48  twittner
- removed .stopadsl.patch: premature joy -
  hotplug stop hangs at random.

Revision 1.3  2003/09/25 11:41:16  ankry
- cosmetics

Revision 1.2  2003/09/23 12:01:21  twittner
- patched stopadsl script (see commit message for eagle-stopadsl.patch)

Revision 1.1  2003/09/18 14:19:36  misi3k
- eagle -> kernel-net-eagle

Revision 1.15  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/11 20:44:53  ankry
cosmetics

Revision 1.13  2003/08/02 17:27:52  qboosh
- added info about kind of device to descriptions

Revision 1.12  2003/07/15 20:26:16  grzegol
- added readme.txt to %%doc

Revision 1.11  2003/07/15 19:56:27  areq
- move bin from /etc to /usr/share/misc

Revision 1.10  2003/07/12 22:07:26  grzegol
- main package doesn't need %%{_kernel_ver_str} in release
- rel. 3

Revision 1.9  2003/07/12 22:01:20  grzegol
- marked config files

Revision 1.8  2003/07/10 12:58:21  trojan
- added using depmod macro

Revision 1.7  2003/07/09 17:52:50  marcus
- fakeroot is only for dev.spec!!!
- makefiles fixed, but... terribly francois script - no.

Revision 1.6  2003/07/08 16:40:57  grzegol
- 755 for %%{sbindir}/*
- s#usr/sbin/update-usb.usermap#/sbin/update-usb.usermap#
- adder R(post,postun): /sbin/update-usb.usermap
- rel. 2

Revision 1.5  2003/07/08 11:17:14  krolik
- new BR: fakeroot
- fixed small mistake in %doc
- now builds

Revision 1.4  2003/07/07 14:25:23  arekm
- fix md5

Revision 1.3  2003/07/07 13:06:13  qboosh
- typo

Revision 1.2  2003/07/07 12:46:56  arekm
- more stuff for hotplug

Revision 1.1  2003/07/07 11:54:03  arekm
Sagem Fast 800 USB modem driver (used in neostrada+ recently)
